View Issue Details

IDProjectCategoryView StatusLast Update
00274992.x IDE BugsBuild MacPublic2019-02-13 17:02
ReporterRoss ManthorpAssigned ToAlan Savage 
PriorityVery HighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
PlatformmacOSOSOS X El CapitanOS Version10.11.6
Product VersionPre-2.1.3 
Target VersionFixed in Version2.2.2 
Summary0027499: Mac: [Mac IDE] Debugging game causes IDE crash on some Macs
DescriptionTwo instances of debugging the game on Mac for Mac have cause the IDE to crash in the background on the latest Green IDE (199). One case (ui log 1) it happened the instant the game launched. Second case (ui log 2) it happened after the game was running for a few minutes.
Steps To Reproduce1. Debug any project
2. Click onto IDE
3. Repeat a few times
4. See Crash

Repro: 100%

(on QA-MacBook, QA-Mac - not crashing on higher end QA-iMac)
TagsNo tags attached.
2.x IDE Found In2.1.0.199
2.x Runtime Found In2.1.0.134
2.x IDE Verified In2.2.2.393
2.x Runtime Verified In2.2.2.308

Relationships

related to 0026940 ClosedRussell Kay General: [MAC IDE] Silent IDE crash 'closed unexpectedly' 
related to 0027418 ClosedAlan Savage Debugger: [Mac IDE] Debugging a game has a high chance of crashing the IDE either on game start or game end 

Activities

Ross Manthorp

2017-08-21 10:21

Adminstrator  

ui.log (4,806 bytes)
ui 2.log (901,470 bytes)

Alan Savage

2017-09-07 10:59

Developer   ~0055341

think this is fixed has not been reproduced in green? (fixes now in red also)

Russell Kay

2018-06-14 16:18

Manager   ~0060314

I believe this is fixed... reopen if not

Matthew McInnes

2019-02-13 17:02

Developer   ~0063192

Closing. Verified as fixed in:

Beta IDE v2.2.2.393 Beta Runtime v2.2.2.308